org.eclnt.jsfserver.elements

## Class ComponentDump

- java.lang.Object
- - org.eclnt.jsfserver.elements.ComponentDump

- All Implemented Interfaces:
    java.io.Serializable

      public class ComponentDump
      extends java.lang.Object
      implements java.io.Serializable

  Class holds a dump of attributes for each component. The dump is used to store the request data of a previous request in order not to send unchanged attributed to the client processing.
  In addition some other aspects are stored with the dump - because it is the central object that is stored inside the http session context.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ATTR_CURRENT`
    `static java.lang.String` | `ATTR_PREVIOUS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentDump()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEncodedComponent(java.lang.String id, UIComponent component)`
    `void` | `addNewXMLNode(java.lang.String name)`
    `void` | `addNewXMLNode(java.lang.String name, boolean isNewNode)`
    `void` | `addNewXMLNodeAttribute(java.lang.String name, java.lang.String value)`
    `void` | `addNewXMLNodeText(java.lang.String text)`
    `void` | `addPreparedXML(java.lang.String xml)`
    `boolean` | `checkIfControlAttributeWasChangedDuringDecode(java.lang.String id, java.lang.String attribute)`
    `boolean` | `checkIfControlWasChangedDuringDecode(java.lang.String id)`
    `void` | `closeXMLNode()`
    `void` | `currentRequestIsAutoTriggered()`
    `java.lang.String` | `getCurrentClientNamePrefix()`
    `java.lang.String` | `getCurrentContentReplace()`
    `java.lang.String` | `getCurrentContentReplaceWithDrillDown()` Returns all content replaces of the whole stack.
    `java.lang.String` | `getCurrentPage()`
    `java.lang.String` | `getCurrentPageRoot()`
    `XMLNode` | `getCurrentTopXMLNode()`
    `XMLNode` | `getCurrentXMLNode()`
    `java.lang.String` | `getDecodedValue(java.lang.String id, java.lang.String attribute)`
    `long` | `getRequestSequenceId()`
    `boolean` | `isAutoTriggered()`
    `void` | `popIncludePage()`
    `void` | `pushIncludePage(java.lang.String page, java.lang.String contentReplaceWithDrillDown, java.lang.String contentReplace, java.lang.String clientName)`
    `void` | `registerChangeInControlDuringDecode(java.lang.String id, java.lang.String attribute, java.lang.String value)`
    `void` | `setRequestSequenceId(long requestId)`
    `java.lang.String` | `updateIncludedReference(java.lang.String reference)` Transfers a relative reference into an absolute.
    `void` | `writeSubXMLNodesChangedMarker()`
    `void` | `writeXMLNodeChangedMarker()`
    `void` | `writeXMLNodeToWriter(java.io.Writer writer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ATTR_CURRENT

          public static final java.lang.String ATTR_CURRENT

      See Also:
        Constant Field Values

    - #### ATTR_PREVIOUS

          public static final java.lang.String ATTR_PREVIOUS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ComponentDump

          public ComponentDump()

  - ### Method Detail

    - #### currentRequestIsAutoTriggered

          public void currentRequestIsAutoTriggered()

    - #### isAutoTriggered

          public boolean isAutoTriggered()

    - #### registerChangeInControlDuringDecode

          public void registerChangeInControlDuringDecode(java.lang.String id,
                                                          java.lang.String attribute,
                                                          java.lang.String value)

    - #### checkIfControlWasChangedDuringDecode

          public boolean checkIfControlWasChangedDuringDecode(java.lang.String id)

    - #### checkIfControlAttributeWasChangedDuringDecode

          public boolean checkIfControlAttributeWasChangedDuringDecode(java.lang.String id,
                                                                       java.lang.String attribute)

    - #### getDecodedValue

          public java.lang.String getDecodedValue(java.lang.String id,
                                                  java.lang.String attribute)

    - #### getRequestSequenceId

          public long getRequestSequenceId()

    - #### setRequestSequenceId

          public void setRequestSequenceId(long requestId)

    - #### pushIncludePage

          public void pushIncludePage(java.lang.String page,
                                      java.lang.String contentReplaceWithDrillDown,
                                      java.lang.String contentReplace,
                                      java.lang.String clientName)

    - #### getCurrentPageRoot

          public java.lang.String getCurrentPageRoot()

    - #### getCurrentPage

          public java.lang.String getCurrentPage()

    - #### getCurrentContentReplaceWithDrillDown

          public java.lang.String getCurrentContentReplaceWithDrillDown()

      Returns all content replaces of the whole stack.

    - #### getCurrentContentReplace

          public java.lang.String getCurrentContentReplace()

      Returns:
        content replace that is valid for the current page only (no drill down content replaces are considered!).

    - #### popIncludePage

          public void popIncludePage()

    - #### updateIncludedReference

          public java.lang.String updateIncludedReference(java.lang.String reference)

      Transfers a relative reference into an absolute. Called by all components that pass references to the client.

    - #### getCurrentXMLNode

          public XMLNode getCurrentXMLNode()

    - #### addNewXMLNode

          public void addNewXMLNode(java.lang.String name)

    - #### addPreparedXML

          public void addPreparedXML(java.lang.String xml)

    - #### addNewXMLNode

          public void addNewXMLNode(java.lang.String name,
                                    boolean isNewNode)

    - #### addNewXMLNodeAttribute

          public void addNewXMLNodeAttribute(java.lang.String name,
                                             java.lang.String value)

    - #### addNewXMLNodeText

          public void addNewXMLNodeText(java.lang.String text)

    - #### closeXMLNode

          public void closeXMLNode()

    - #### getCurrentTopXMLNode

          public XMLNode getCurrentTopXMLNode()

    - #### writeXMLNodeToWriter

          public void writeXMLNodeToWriter(java.io.Writer writer)
                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeXMLNodeChangedMarker

          public void writeXMLNodeChangedMarker()

    - #### writeSubXMLNodesChangedMarker

          public void writeSubXMLNodesChangedMarker()

    - #### getCurrentClientNamePrefix

          public java.lang.String getCurrentClientNamePrefix()

    - #### addEncodedComponent

          public void addEncodedComponent(java.lang.String id,
                                          UIComponent component)

Copyright © CaptainCasa Gmbh. All Rights Reserved.